Bug 191092 - X server freezes after login attempt
X server freezes after login attempt
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-08 15:32 EDT by Raphael Couto
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-05 12:05:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 7031 None None None Never

  None (edit)
Description Raphael Couto 2006-05-08 15:32:30 EDT
Description of problem:
X server freezes after installation 

Version-Release number of selected component (if applicable):


How reproducible:
Boot.

Steps to Reproduce:
1.Boot
2.Try to login
3.
  
Actual results:


Expected results:


Additional info:
parts of /var/log/messages:
...
May  9 10:42:12 localhost kernel: Linux agpgart interface v0.101 (c) Dave Jones
May  9 10:42:12 localhost kernel: agpgart: Detected Apple UniNorth/Pangea 
chipset
May  9 10:42:12 localhost kernel: agpgart: configuring for size idx: 4
May  9 10:42:12 localhost kernel: agpgart: AGP aperture is 16M @ 0x0
...
May  9 10:42:46 localhost kernel: agpgart: Couldn't find an AGP VGA controller.
May  9 10:42:46 localhost kernel: agpgart: Putting AGP V2 device at 
0000:00:0b.0 into 0x mode
May  9 10:42:46 localhost kernel: agpgart: Putting AGP V2 device at 
0000:00:10.0 into 0x mode


parts of /var/log/Xorg.0.log:
...
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:0b:0: chip 106b,0027 card 0000,0000 rev 00 class 06,00,00 hdr 00
(II) PCI: 00:10:0: chip 1002,5452 card 1002,5452 rev 00 class 03,80,00 hdr 00
(II) PCI: 10:0b:0: chip 106b,0028 card 0000,0000 rev 00 class 06,00,00 hdr 00
(II) PCI: 10:17:0: chip 106b,0025 card 0000,0000 rev 00 class ff,00,00 hdr 00
(II) PCI: 10:18:0: chip 106b,0026 card 0000,0000 rev 00 class 0c,03,10 hdr 00
(II) PCI: 10:19:0: chip 106b,0026 card 0000,0000 rev 00 class 0c,03,10 hdr 00
(II) PCI: 20:0b:0: chip 106b,0029 card 0000,0000 rev 00 class 06,00,00 hdr 00
(II) PCI: 20:0e:0: chip 106b,0030 card 106b,0030 rev 00 class 0c,00,10 hdr 00
(II) PCI: 20:0f:0: chip 106b,0024 card 0000,0000 rev 00 class 02,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:11:0), (0,0,32), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
        [0] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
(II) Host-to-PCI bridge:
(II) Bus 16: bridge is at (16:11:0), (16,16,32), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 16 I/O range:
        [0] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 16 non-prefetchable memory range:
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 16 prefetchable memory range:
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
(II) Host-to-PCI bridge:
(II) Bus 32: bridge is at (32:11:0), (32,32,32), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 32 I/O range:
        [0] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 32 non-prefetchable memory range:
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 32 prefetchable memory range:
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
(--) PCI:*(0:16:0) ATI Technologies Inc Rage 128 Pro Ultra TR rev 0, Mem @ 
0x94000000/26, 0x90000000/14, I/O @ 0x0400/8, BIOS @ 0xf1000000/17
(II) Addressable bus resource ranges are
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
        [1] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0       0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
        [0] -1  0       0xf5200000 - 0xf53fffff (0x200000) MX[B]
        [1] -1  0       0xf5000000 - 0xf5000fff (0x1000) MX[B]
        [2] -1  0       0x80080000 - 0x80080fff (0x1000) MX[B]
        [3] -1  0       0x80081000 - 0x80081fff (0x1000) MX[B]
        [4] -1  0       0x80000000 - 0x8007ffff (0x80000) MX[B]
        [5] -1  0       0xf1000000 - 0xf101ffff (0x20000) MX[B](B)
        [6] -1  0       0x90000000 - 0x90003fff (0x4000) MX[B](B)
        [7] -1  0       0x94000000 - 0x97ffffff (0x4000000) MX[B](B)
        [8] -1  0       0xf0000400 - 0xf00004ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
        [0] -1  0       0xf5200000 - 0xf53fffff (0x200000) MX[B]
        [1] -1  0       0xf5000000 - 0xf5000fff (0x1000) MX[B]
        [2] -1  0       0x80080000 - 0x80080fff (0x1000) MX[B]
        [3] -1  0       0x80081000 - 0x80081fff (0x1000) MX[B]
        [4] -1  0       0x80000000 - 0x8007ffff (0x80000) MX[B]
        [5] -1  0       0xf1000000 - 0xf101ffff (0x20000) MX[B](B)
        [6] -1  0       0x90000000 - 0x90003fff (0x4000) MX[B](B)
        [7] -1  0       0x94000000 - 0x97ffffff (0x4000000) MX[B](B)
        [8] -1  0       0xf0000400 - 0xf00004ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0       0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0xf5200000 - 0xf53fffff (0x200000) MX[B]
        [6] -1  0       0xf5000000 - 0xf5000fff (0x1000) MX[B]
        [7] -1  0       0x80080000 - 0x80080fff (0x1000) MX[B]
        [8] -1  0       0x80081000 - 0x80081fff (0x1000) MX[B]
        [9] -1  0       0x80000000 - 0x8007ffff (0x80000) MX[B]
        [10] -1 0       0xf1000000 - 0xf101ffff (0x20000) MX[B](B)
        [11] -1 0       0x90000000 - 0x90003fff (0x4000) MX[B](B)
        [12] -1 0       0x94000000 - 0x97ffffff (0x4000000) MX[B](B)
        [13] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [14] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [15] -1 0       0xf0000400 - 0xf00004ff (0x100) IX[B](B)
...
(II) LoadModule: "r128"
(II) Loading /usr/lib/xorg/modules/drivers/r128_drv.so
(II) Module r128: vendor="X.Org Foundation"
        compiled for 7.0.0, module version = 4.0.4
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 0.8
(II) LoadModule: "ati"
(II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
(II) Module ati: vendor="X.Org Foundation"
        compiled for 7.0.0, module version = 6.5.7
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 0.8
...
(--) Chipset ATI Rage 128 Pro ULTRA TR (AGP) found
...
(II) Loading sub module "r128"
(II) LoadModule: "r128"
(II) Reloading /usr/lib/xorg/modules/drivers/r128_drv.so
(WW) ****INVALID IO ALLOCATION**** b: 0xf0000400 e: 0xf00004ff correcting^G
(EE) end of block range 0xefffffff < begin 0xf0000000
(II) window:
        [0] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) resSize:
(II) window fixed:
        [0] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) resource ranges after probing:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0xf5200000 - 0xf53fffff (0x200000) MX[B]
        [6] -1  0       0xf5000000 - 0xf5000fff (0x1000) MX[B]
        [7] -1  0       0x80080000 - 0x80080fff (0x1000) MX[B]
        [8] -1  0       0x80081000 - 0x80081fff (0x1000) MX[B]
        [9] -1  0       0x80000000 - 0x8007ffff (0x80000) MX[B]
        [10] -1 0       0xf1000000 - 0xf101ffff (0x20000) MX[B](B)
        [11] -1 0       0x90000000 - 0x90003fff (0x4000) MX[B](B)
        [12] -1 0       0x94000000 - 0x97ffffff (0x4000000) MX[B](B)
        [13] 0  0       0x000a0000 - 0x000affff (0x10000) MS[B]
        [14] 0  0       0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [15] 0  0       0x000b8000 - 0x000bffff (0x8000) MS[B]
        [16] -1 0       0x00000400 - 0x000004ff (0x100) IX[B](B)
        [17] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [18] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [19] 0  0       0xf00003b0 - 0xf00003bb (0xc) IS[B]
        [20] 0  0       0xf00003c0 - 0xf00003df (0x20) IS[B]
...
(II) Setting vga for screen 0.
(II) R128(0): PCI bus 0 card 16 func 0
(**) R128(0): Depth 24, (--) framebuffer bpp 32
(II) R128(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) R128(0): Default visual is TrueColor
(**) R128(0): Option "UseFBDev" "false"
(II) R128(0): VGAAccess option set to FALSE, VGA module load skipped
(==) R128(0): RGB weight 888
(II) R128(0): Using 8 bits per RGB (8 bit DAC)
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules/libint10.so
(II) Module int10: vendor="X.Org Foundation"
        compiled for 7.0.0, module version = 1.0.0
        ABI class: X.Org Video Driver, version 0.8
(II) R128(0): initializing int10
(EE) R128(0): V_BIOS address 0x26000 out of range
(--) R128(0): Chipset: "ATI Rage 128 Pro ULTRA TR (AGP)" (ChipID = 0x5452)
(--) R128(0): Linear framebuffer at 0x94000000
(--) R128(0): MMIO registers at 0x90000000
(--) R128(0): BIOS at 0xf1000000
(--) R128(0): VideoRAM: 16384 kByte (128-bit SDR SGRAM 1:1)
(**) R128(0): Using external CRT for display
(WW) R128(0): Video BIOS not detected in PCI space!
(WW) R128(0): Attempting to read Video BIOS from legacy ISA space!
(WW) R128(0): Video BIOS not found!
(II) R128(0): Primary Display == Type 3
(WW) R128(0): Can't determine panel dimensions, and none specified.
        Disabling programming of FP registers.
(II) R128(0): PLL parameters: rf=2950 rd=59 min=12500 max=25000; xclk=13000
...
(EE) R128(0): R128CCEWaitForIdle: (DEBUG) CCE idle took i = 1025
(EE) R128(0): Idle timed out, resetting engine...
(EE) R128(0): R128CCEWaitForIdle: (DEBUG) CCE idle took i = 1025
(EE) R128(0): Idle timed out, resetting engine...
(EE) R128(0): R128CCEWaitForIdle: (DEBUG) CCE idle took i = 1025
(EE) R128(0): Idle timed out, resetting engine...


cat /proc/cpuinfo :

processor       : 0
cpu             : 750CXe
temperature     : 4 C (uncalibrated)
clock           : 500.000000MHz
revision        : 50.20 (pvr 0008 3214)
bogomips        : 49.79
timebase        : 24960000
machine         : PowerMac4,1
motherboard     : PowerMac4,1 MacRISC2 MacRISC Power Macintosh
detected as     : 256 (iMac "Flower Power")
pmac flags      : 00000010
L2 cache        : 256K unified
pmac-generation : NewWorld
Comment 1 Raphael Couto 2006-05-09 11:08:47 EDT
Disabling DRI and GLX, X server doesn't freezes.
Comment 2 Mike A. Harris 2006-05-23 10:16:53 EDT
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 3 Raphael Couto 2006-05-24 23:56:44 EDT
https://bugs.freedesktop.org/show_bug.cgi?id=7031
Comment 4 Raphael Couto 2006-05-25 00:01:06 EDT
https://bugs.freedesktop.org/show_bug.cgi?id=7031

Note You need to log in before you can comment on or make changes to this bug.